Bug 1213642 - [GSS](6.4.z) JDBC driver module-slot is not persisted in domain mode
Summary: [GSS](6.4.z) JDBC driver module-slot is not persisted in domain mode
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management, JCA
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: CR1
: EAP 6.4.3
Assignee: Lin Gao
QA Contact: Martin Simka
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 1231259
TreeView+ depends on / blocked
 
Reported: 2015-04-21 01:04 UTC by Lin Gao
Modified: 2019-07-11 08:59 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-01-17 10:43:50 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-4464 Major Resolved JDBC driver module-slot is not persisted in domain mode 2017-03-22 12:20 UTC
Red Hat Bugzilla 1157649 None None None Never

Internal Trackers: 1157649

Description Lin Gao 2015-04-21 01:04:49 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

Suppose you have a jdbc driver module: 'oracle.jdbc' with slot: '11.1'

Steps to Reproduce:
1. Start EAP 6.4 in domain mode: bin/domain.sh
2. Start EAP 6 CLI console: bin/jboss-cli.sh -c
3. Run:

/profile=full/subsystem=datasources/jdbc-driver=oracle11.1:add(driver-name=oracle11.1,driver-module-name=oracle.jdbc,driver-xa-datasource-class-name=oracle.jdbc.xa.client.OracleXADataSource,module-slot=11.1)

Actual results:
 <driver name="oracle11.1" module="oracle.jdbc">
      <xa-datasource-class>
         oracle.jdbc.xa.client.OracleXADataSource
      </xa-datasource-class>
 </driver>

 is persisted in domain.xml

Expected results:
 <driver name="oracle11.1" module="oracle.jdbc:11.1">
      <xa-datasource-class>
         oracle.jdbc.xa.client.OracleXADataSource
      </xa-datasource-class>
 </driver>

 is persisted in domain.xml

Additional info:

  The inconsistent persistence will lead to wrong module:slot used after server restarted.

Comment 2 Jan Martiska 2015-07-30 12:33:54 UTC
Verified in EAP 6.4.3.CR1.

Comment 3 Petr Penicka 2017-01-17 10:41:17 UTC
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.

Comment 4 Petr Penicka 2017-01-17 10:41:38 UTC
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Comment 5 Petr Penicka 2017-01-17 10:43:50 UTC
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.


Note You need to log in before you can comment on or make changes to this bug.